This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 610090 - bad usability of packagekit-media.repo file
bad usability of packagekit-media.repo file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 10:41 EDT by John Reiser
Modified: 2012-08-16 15:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2010-07-01 10:41:33 EDT
Description of problem: File /etc/yum.repos.d/packagekit-media.repo lacks an explicit "enabled=1" statement.  This makes it harder that necessary to guess that a good way to "permanently '--disablerepo InstallMedia'" is to have the line "enabled=0".  Please add an explicit "enabled=1" line to 
packagekit-media.repo when it is created.


Version-Release number of selected component (if applicable):
PackageKit-0.6.6-0.1490.20100605git.fc14.x86_64


How reproducible: every time


Steps to Reproduce:
1. Fresh install from DVD.
2. Inspect /etc/yum.repos.d/packagekit-media.repo
3.
  
Actual results: No "enabled=1" statement.


Expected results: packagekit-media.repo contains an explicit line "enabled=1".


Additional info:
Comment 1 John Reiser 2010-07-12 15:16:29 EDT
It's even worse: If I add a line "enabled=0" to the end of packagekit-media.repo, then PackageKit *deletes* that line when it runs!  So I cannot set the preference in a way that persists.  That's a bug.
Comment 2 Bug Zapper 2010-07-30 08:22:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 15:58:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.